﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities;
using Countries.NET.Database;
using System.Runtime.ConstrainedExecution;

namespace MTWorkHR.Infrastructure.Configurations
{
    public class JobTitleConfiguration : IEntityTypeConfiguration<JobTitle>
    {

        public void Configure(EntityTypeBuilder<JobTitle> builder)
        {
            
            builder.HasData(
                new JobTitle { NameEn = "Administrative Assistant", NameAr = "مساعد ادارى", Id = 1 },
                new JobTitle { NameEn = "Receptionist", NameAr = "موظف استقبال", Id = 2 },
                new JobTitle { NameEn = "Office Manager", NameAr = "مدير مكتب", Id = 3 },
                new JobTitle { NameEn = "Auditing Clerk", NameAr = "مدقق محتوى", Id = 4 },
                new JobTitle { NameEn = "Bookkeeper", NameAr = "محاسب", Id = 5 },
                new JobTitle { NameEn = "Account Executive", NameAr = "مدير تنفيذى", Id = 6 },
                new JobTitle { NameEn = "Branch Manager", NameAr = "مدير فرع", Id = 7 },
                
                new JobTitle { NameEn = "Business Manager", NameAr = "مدير", Id = 8 },
                new JobTitle { NameEn = "Quality Control Coordinator", NameAr = "مسؤول الجودة", Id = 9 },
                new JobTitle { NameEn = "Administrative Manager", NameAr = "مدير ادارى", Id = 10 },
                new JobTitle { NameEn = "Chief Executive Officer", NameAr = "الرئيس التنفيذي", Id = 11 },
                new JobTitle { NameEn = "Business Analyst", NameAr = "محلل", Id = 12 },
                new JobTitle { NameEn = "Risk Manager", NameAr = "مدير المخاطر", Id = 13 },

                new JobTitle { NameEn = "Human Resources", NameAr = "موارد بشرية", Id = 14 },
                new JobTitle { NameEn = "Office Assistant", NameAr = "مساعد مكتب", Id = 15 },
                new JobTitle { NameEn = "Secretary", NameAr = "السكرتارية", Id = 16 },
                new JobTitle { NameEn = "Office Clerk", NameAr = "موظف مكتب", Id = 17 },
                new JobTitle { NameEn = "Account Collector", NameAr = "جامع الحسابات", Id = 18 },
                new JobTitle { NameEn = "Administrative Specialist", NameAr = "أخصائي إداري", Id = 19 },
                new JobTitle { NameEn = "Executive Assistant", NameAr = "مساعد تنفيذي", Id = 20 },
                new JobTitle { NameEn = "Program Administrator", NameAr = "مسؤل البرنامج", Id = 21 },
                new JobTitle { NameEn = "Program Manager", NameAr = "مدير البرنامج", Id = 22 },
                new JobTitle { NameEn = "Administrative Analyst", NameAr = "محلل إداري", Id = 23 },
                new JobTitle { NameEn = "Data Entry", NameAr = "مدخل بيانات", Id = 24 }
            );
        }
    }
}